Bug 189837 - CVE-2003-0618 leaks file existance information
CVE-2003-0618 leaks file existance information
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Robin Norwood
David Lawrence
impact=low,public=20030730,source=ven...
:
Depends On:
Blocks: 185518
  Show dependency treegraph
 
Reported: 2006-04-24 19:46 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.8.0-93.EL3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 14:26:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2006-04-24 19:46:59 EDT
+++ This bug was initially created as a clone of Bug #114923 +++

CAN-2003-0618 was reported 2003Jul29 to Debian. You can test for the
existance of files even if you don't have permission to do so by using
the suidperl command.

        $ su
        # mkdir ~root/delme; chmod 700 ~root/delme;touch ~root/delme/1
        # exit
        $ suidperl ~root/delme/1
        Script is not setuid/setgid in suidperl
        $ suidperl ~root/delme/2
        Can't open perl script "/root/delme/2": No such file ...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203426

        Affects: 2.1AS 2.1ES 2.1AW 2.1WS (5.6.1) 
        Affects: 3AS 3ES 3WS (5.8.0) 

Debian released an errata for this issue in Feb 2004.

-- Additional comment from mjc@redhat.com on 2004-02-09 10:40 EST --
Actually this doesn't affect RHEL3 because the setuid perl package was
not shipped.

-- Additional comment from bressers@redhat.com on 2005-05-04 18:04 EST --
I did some verification work on this one.  This issue does affect RHEL3.  We may
not have shipped perl-suidperl in the past, we do now.

-- Additional comment from jvdias@redhat.com on 2006-04-21 21:24 EST --
fixed with perl-5.6.1-38.EL2_1
Comment 1 Jason Vas Dias 2006-04-24 19:58:30 EDT
Sorry this bug languished in the RHEL-2.1 queue for so long - it DOES affect
RHEL-3 also, and is now fixed with perl-5.8.0-93.EL3 .

With up to and including perl-5.8.0-92.EL3, you could do:
( as root ):
# mkdir secret
# chmod 0700/secret
# touch secret/1.pl
# su nobody
( as nobody ):
$ suidperl /tmp/secret/1.pl
Script is not setuid/setgid in suidperl
$ suidperl /tmp/secret/2
Can't open perl script: Operation not permitted

Now, for both "nobody" commands above, perl-5.8.0-93.EL3 will say only
"Permission denied" .
Comment 5 Robin Norwood 2006-10-01 19:26:39 EDT
assigning to rnorwood@redhat.com

Note You need to log in before you can comment on or make changes to this bug.